// config
var website = "https://nullchat.alwaysdata.net"
var GroupListingDiv = "GroupListing"
var MessagesDiv = "Messages" // Changed from "Messages" to keep it on top
// Variables
var currentLatestMessageTime = new Date().toISOString(); // the default, is reset every time
var currentGroupID
var UserID
var UserCache = {}
var UserAuth
const MessageFormDiv = document.getElementById('MessageSender');
const MessageValuedDiv = document.getElementById('MessageToSend');
const UsersDiv = document.getElementById('Users');
const createGCDiv = document.getElementById("CreateGC")
const FriendsDiv = document.getElementById("Friends")
const currentFriendsDiv = document.getElementById("currentFriends")
const pendingFriendsDiv = document.getElementById("friendRequest")
const addUsersDiv = document.getElementById("UsersAdd")
const loginDiv = document.getElementById("Login")
const marker = document.getElementById("top-marker");
var reachedChatEnd = false
var client
  var currentWisp
  var wisps = ["wss://fern.best/wisp","wss://anura.pro","wss://hurt-agata-liventcord-api-7072e9a6.koyeb.app/","wss://wisp.galxy.it.com"]